---
lang: en
title: 'API docs: repository.class._new_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/repository
permalink: /doc/en/lb4/apidocs.repository.class._new_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [Class](./repository.class.md) &gt; [(new)](./repository.class._new_.md)

## Class.(new)

<b>Signature:</b>

```typescript
new (...args: any[]): T;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  args | any\[\] |  |

<b>Returns:</b>

T


